ubiquity crashed with ValueError in command()

Bug #298509 reported by wolfpff on 2008-11-15
264
This bug affects 43 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: ubiquity

...

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
InterpreterPath: /usr/bin/python2.5
Package: ubiquity 1.10.7
ProcAttrCurrent: unconfined
ProcCmdline: /usr/bin/python /usr/lib/ubiquity/bin/ubiquity gtk_ui
ProcEnviron: Error: [Errno 13] Permission denied: '/proc/5576/environ'
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', 'gtk_ui']
SourcePackage: ubiquity
Title: ubiquity crashed with ValueError in command()
Uname: Linux 2.6.27-7-generic i686
UserGroups:

wolfpff (wolfgang-kropff) wrote :
Hew McLachlan (hew) on 2009-05-09
visibility: private → public
santo (santo-prive) wrote :

Same crash here with Ubuntu 9.04 Live CD install.

How to reproduce (at least on my system):
start livecd and either select to install a new system or to run a live cd.
If the latter, then start ubiquity manually by clicking the "install" shortcut on the desktop.

Set language, keyboard, time zone, ... and don't select any OS'es when offered to migrate settings from other OS'es on you system.
At the end click finish to start the installation.
The installation will start formatting/copying files/... and finally crash with the error mentioned above.
Result: an unusable, unbootable Ubuntu installation !

Apparently the problem has to do with the migration of settings form other OS'es.
While I selected to not migrate any settings, it appears that it is still trying to do so during installation.

How do I know ?
Because when you start ubiquity from a terminal window on the live cd with the following options:

    ubiquity --no-migration-assistant

The installation finishes without any errors.

Actually I don't know why I still choose to download the live cd, as it has never worked for me.
Each time a new Ubuntu version is released and I try to install through the live cd, something doesn't work and
in the end I always have to download the alternate install cd.
This time I was rather *lucky* that I found a workaround.

It's really incomprehensible that Ubuntu releases such crappy installation cd's

tags: added: bugpattern-needed
Harald (hdmuell) wrote :

Same crash with 10.4 Beta downloaded on Friday 2010-3-18.

Also seen same crash on 10.4 downloaded Mar 26

Hoa Le (leth5591) wrote :

Same crash on 10.04 beta 4 downloaded n Friday April 9, 2010

Hoa Le (leth5591) wrote :

Based on the solution to Bug#298509, retried installing 10.04 beta2. After the first crash, a gnome desktop appeared. I clicked on Accessories to open a terminal to type "ubiquity --no-migration-assistant", before hitting the "install ubuntu 10.04" folder. After selecting boot loader location, I deliberately chose NOT to migrate any documents or settings and proceed with Install. The installation or ubiquity crashed near the very end. Screen went black then same ubuntu desktop re-appears with error message: "ubiquity crashed with value error in command()".

Crash report details has "permission denied: /proc/16194/environ

Hoa Le (leth5591) wrote :
Download full text (121.4 KiB)

Hi,

Today I cleaned the CD/DVD drive and SHA1 checked Lucid Beta2 installation DVD; it was OK. Tried to install Lucud beta2 again but still ran into same problem at the end> i also noticed that even though I chose not to migrate any documents and settings from Windows 7, openSUSE11.2and Fedora Core 12, the screen still showed these items were being migrated. The screen rebooted to an Ubuntu desktop, with the same error message:" Ubiquity crashed with ValueError in command ()". I was able to copy the content of /var/log/syslog as shown below:

Apr 12 20:30:32 ubuntu kernel: imklog 4.2.0, log source = /proc/kmsg started.
Apr 12 20:30:32 ubuntu rsyslogd: [origin software="rsyslogd" swVersion="4.2.0" x-pid="1065" x-info="http://www.rsyslog.com"] (re)start
Apr 12 20:30:32 ubuntu rsyslogd: rsyslogd's groupid changed to 103
Apr 12 20:30:32 ubuntu rsyslogd: rsyslogd's userid changed to 101
Apr 12 20:30:32 ubuntu rsyslogd-2039: Could no open output file '/dev/xconsole' [try http://www.rsyslog.com/e/2039 ]
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] Initializing cgroup subsys cpuset
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] Initializing cgroup subsys cpu
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] Linux version 2.6.32-19-generic (buildd@palmer) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5) ) #28-Ubuntu SMP Wed Mar 31 17:46:20 UTC 2010 (Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1)
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] KERNEL supported cpus:
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] Intel GenuineIntel
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] AMD AuthenticAMD
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] NSC Geode by NSC
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] Cyrix CyrixInstead
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] Centaur CentaurHauls
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] Transmeta GenuineTMx86
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] Transmeta TransmetaCPU
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] UMC UMC UMC UMC
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] BIOS-provided physical RAM map:
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] BIOS-e820: 0000000000100000 - 000000007ff30000 (usable)
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] BIOS-e820: 000000007ff30000 - 000000007ff40000 (ACPI data)
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] BIOS-e820: 000000007ff40000 - 000000007fff0000 (ACPI NVS)
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] BIOS-e820: 000000007fff0000 - 0000000080000000 (reserved)
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] BIOS-e820: 00000000ff7c0000 - 0000000100000000 (reserved)
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] DMI 2.3 present.
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] AMI BIOS detected: BIOS may corrupt low RAM, working around it.
Apr 12 20:30:32 ubuntu kernel: [ 0.000000] e820 update range: 0000000000000000 - 0000000000010000...

Hoa Le (leth5591) wrote :
Download full text (4.1 KiB)

Hi,

Just tried installing Lucid Beta2 again but this time added "pnpbios=0". Same problem. Errno 13: Permission denied /proc/2601/environ.

Here's the content of /var/log/installer/debug:

Ubiquity 2.2.15
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:558: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:1255: GtkWarning: gtk_progress_set_percentage: assertion `percentage >= 0 && percentage <= 1.0' failed
  self.progress_bar.set_fraction(fraction)
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:1264: GtkWarning: gtk_progress_set_percentage: assertion `percentage >= 0 && percentage <= 1.0' failed
  self.progress_bar.set_fraction(fraction)
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/bin/ubiquity", line 524, in <module>
    main(oem_config)
  File "/usr/lib/ubiquity/bin/ubiquity", line 511, in main
    install(query=options.query)
  File "/usr/lib/ubiquity/bin/ubiquity", line 242, in install
    ret = wizard.run()
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 508, in run
    self.process_step()
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 1160, in process_step
    self.progress_loop()
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 1043, in progress_loop
    (ret, realtb))
RuntimeError: Install failed with exit code 1
Traceback (most recent call last):
  File "/usr/share/ubiquity/install.py", line 2497, in <module>
    install.run()
  File "/usr/share/ubiquity/install.py", line 391, in run
    self.configure_hardware()
  File "/usr/share/ubiquity/install.py", line 1403, in configure_hardware
    install_misc.set_debconf(self.target, 'popularity-contest/participate', participate, self.db)
  File "/usr/lib/ubiquity/ubiquity/install_misc.py", line 70, in set_debconf
    dc = debconf.Debconf(read=dccomm.stdout, write=dccomm.stdin)
  File "/usr/lib/python2.6/dist-packages/debconf.py", line 53, in __init__
    self.setUp(title)
  File "/usr/lib/python2.6/dist-packages/debconf.py", line 56, in setUp
    self.version = self.version(2)
  File "/usr/lib/python2.6/dist-packages/debconf.py", line 65, in <lambda>
    lambda *args, **kw: self.command(command, *args, **kw))
  File "/usr/lib/python2.6/dist-packages/debconf.py", line 86, in command
    status = int(status)
ValueError: invalid literal for int() with base 10: ''

Traceback (most recent call last):
  File "/usr/lib/ubiquity/bin/ubiquity", line 524, in <module>
    main(oem_config)
  File "/usr/lib/ubiquity/bin/ubiquity", line 511, in main
    install(query=options.query)
  File "/usr/lib/ubiquity/bin/ubiquity", line 242, in install
    ret = wizard.run()
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 508, in run
    self.process_step()
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 1160, in process_step
    self.progress_loop()
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 1043, in progress_loop
    (ret, realtb))
RuntimeError: Install failed with exit code 1
Traceback (most recent call last):
  File "/usr/share/ubiquity/install.py", line 2497, in <module>
    insta...

Read more...

Hoa Le (leth5591) wrote :

Yesterday I was able to solve the problem by:

1. Changing BIOS default setting of PNP=NO (because Windows takes care of PNP) to PNP=YES;

2. Download the iso file of Ubuntu Alternate CD for Lucid Beta 2;

3. Burn to a CD and install Lucid Beta 2.

Charlie Kravetz (charlie-tca) wrote :

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here. Thanks for taking the time to make Ubuntu better!

Changed in ubiquity (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Changed in ubiquity (Ubuntu):
status: Confirmed → Fix Committed
Colin Watson (cjwatson) on 2012-06-25
Changed in ubiquity (Ubuntu):
status: Fix Committed → Confirmed
Sebastien Bacher (seb128) wrote :

bug #601295 seems similar, still happening on quantal, cf bug #1012906

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers